//
// UIViewController+Utilities.h
//
// Created by Mel Sampat on 5/11/12.
// Copyright (c) 2012 Mel Sampat.
//
// MIT LICENSE:

// Permission is hereby granted, free of charge, to any person obtaining a 
// copy of this software and associated documentation files (the "Software"), 
// to deal in the Software without restriction, including without limitation 
// the rights to use, copy, modify, merge, publish, distribute, sublicense, 
// and/or sell copies of the Software, and to permit persons to whom the 
// Software is furnished to do so, subject to the following conditions:

// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.

// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
// THE SOFTWARE.

#import "UIViewController+Utilities.h"

@implementation UIViewController (Utilities)

- (void)addNavBarButtonsOfType:(NavBarButtonsType)type {
    // Do we need the Done button?
    BOOL showDoneButton = (type == NavBarButtonsDoneOnly) || (type == NavBarButtonsDoneAndCancel);
    
    // Do we need the Cancel button?
    BOOL showCancelButton = (type == NavBarButtonsCancelOnly) || (type == NavBarButtonsDoneAndCancel);
    
    if (showDoneButton) {
        // Create the Done button and show it in the right corner.
        UIBarButtonItem *doneButton = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemDone
                                                                                    target:self
                                                                                    action:@selector(doneButtonTapped:)];
        self.navigationItem.rightBarButtonItem = doneButton;
    }
    
    if (showCancelButton) {
        // Create the Cancel button and show it in the left corner.
        UIBarButtonItem *cancelButton = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemCancel
                                                                                      target:self
                                                                                      action:@selector(cancelButtonTapped:)];
        self.navigationItem.leftBarButtonItem = cancelButton;    
    }
}

@end
